Lucene search

K
suseSuseOPENSUSE-SU-2020:2249-1
HistoryDec 14, 2020 - 12:00 a.m.

Security update for curl (moderate)

2020-12-1400:00:00
lists.opensuse.org
19

0.007 Low

EPSS

Percentile

80.5%

An update that fixes three vulnerabilities is now available.

Description:

This update for curl fixes the following issues:

  • CVE-2020-8286: Fixed improper OSCP verification in the client side
    (bsc#1179593).
  • CVE-2020-8285: Fixed a stack overflow due to FTP wildcard (bsc#1179399).
  • CVE-2020-8284: Fixed an issue where a malicius FTP server could make
    curl connect to a different IP (bsc#1179398).

This update was imported from the SUSE:SLE-15:Update update project.

Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended installation methods
like YaST online_update or “zypper patch”.

Alternatively you can run the command listed for your product:

  • openSUSE Leap 15.1:

    zypper in -t patch openSUSE-2020-2249=1

OSVersionArchitecturePackageVersionFilename
openSUSE Leap15.1i586< - openSUSE Leap 15.1 (i586 x86_64):- openSUSE Leap 15.1 (i586 x86_64):.i586.rpm
openSUSE Leap15.1x86_64< - openSUSE Leap 15.1 (i586 x86_64):- openSUSE Leap 15.1 (i586 x86_64):.x86_64.rpm
openSUSE Leap15.1x86_64< - openSUSE Leap 15.1 (x86_64):- openSUSE Leap 15.1 (x86_64):.x86_64.rpm